Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.jdo
Class PersistenceManagerFactoryImpl

    java.lang.Object
      kodo.jdo.PersistenceManagerFactoryImpl

All Implemented Interfaces:
  Serializable, PersistenceManagerFactory, Referenceable, ObjectFactory, KodoPersistenceManagerFactory, ConnectionRetainModes, Closeable

    public class PersistenceManagerFactoryImpl

extends Object
implements KodoPersistenceManagerFactory, ObjectFactory, Referenceable

Kodo `PersistenceManagerFactory` implementation.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface org.apache.openjpa.kernel.ConnectionRetainModes
`CONN_RETAIN_ALWAYS, CONN_RETAIN_DEMAND, CONN_RETAIN_TRANS`

Constructor Summary
`PersistenceManagerFactoryImpl()` Default constructor required for TCK.
`PersistenceManagerFactoryImpl(BrokerFactory factory)` Constructor; supply delegate.

Method Summary
`void` | `addInstanceLifecycleListener(InstanceLifecycleListener listener, Class[] classes)`
`void` | `addTransferListener(RemoteTransferListener listener)` This method only available on client factories.
`void` | `close()`
`boolean` | `equals(Object other)`
`OpenJPAConfiguration` | `getConfiguration()` Return the configuration for this factory.
`String` | `getConnectionDriverName()`
`Object` | `getConnectionFactory()`
`Object` | `getConnectionFactory2()`
`String` | `getConnectionFactory2Name()`
`String` | `getConnectionFactoryName()`
`String` | `getConnectionPassword()` Credentials.
`String` | `getConnectionURL()`
`String` | `getConnectionUserName()`
`DataStoreCache` | `getDataStoreCache()`
`KodoDataStoreCache` | `getDataStoreCache(String cacheName)` Return a JDO facade to the given named Kodo cache.
`BrokerFactory` | `getDelegate()` Delegate.
`boolean` | `getDetachAllOnCommit()`
`boolean` | `getIgnoreCache()`
`String` | `getMapping()`
`boolean` | `getMultithreaded()`
`boolean` | `getNontransactionalRead()`
`boolean` | `getNontransactionalWrite()`
`Object` | `getObjectInstance(Object obj, Name name, Context ctx, Hashtable env)`
`boolean` | `getOptimistic()`
`PersistenceManager` | `getPersistenceManager()`
`KodoPersistenceManager` | `getPersistenceManager(boolean managed, int connRetainMode)` Return a persistence manager in the given transaction and connection retain mode.
`PersistenceManager` | `getPersistenceManager(String user, String pass)`
`KodoPersistenceManager` | `getPersistenceManager(String user, String pass, boolean managed, int connRetainMode)` Return a persistence manager in the given transaction and connection retain mode.
`static PersistenceManagerFactory` | `getPersistenceManagerFactory(Map map)` Used by `JDOHelper`.
`Properties` | `getProperties()`
`QueryResultCache` | `getQueryResultCache()` Return a view of the query result cache.
`Reference` | `getReference()`
`boolean` | `getRestoreValues()`
`boolean` | `getRetainValues()`
`Object` | `getUserObject(Object key)` User object association.
`int` | `hashCode()`
`boolean` | `isClosed()`
`boolean` | `isPersistenceServerRunning()` Return true if a persistence server is running.
`boolean` | `joinPersistenceServer()` Join the thread running the persistence server for this factory.
`Object` | `putUserObject(Object key, Object val)` User object association.
`void` | `removeInstanceLifecycleListener(InstanceLifecycleListener listener)`
`void` | `removeTransferListener(RemoteTransferListener listener)` This method only available on client factories.
`void` | `setConnectionDriverName(String val)`
`void` | `setConnectionFactory(Object val)`
`void` | `setConnectionFactory2(Object val)`
`void` | `setConnectionFactory2Name(String val)`
`void` | `setConnectionFactoryName(String val)`
`void` | `setConnectionPassword(String val)`
`void` | `setConnectionURL(String val)`
`void` | `setConnectionUserName(String val)`
`void` | `setDetachAllOnCommit(boolean val)`
`void` | `setIgnoreCache(boolean val)`
`void` | `setMapping(String mapping)`
`void` | `setMultithreaded(boolean val)`
`void` | `setNontransactionalRead(boolean val)`
`void` | `setNontransactionalWrite(boolean val)`
`void` | `setOptimistic(boolean val)`
`void` | `setRestoreValues(boolean val)`
`void` | `setRetainValues(boolean val)`
`boolean` | `startPersistenceServer()` Start the persistence server.
`boolean` | `stopPersistenceServer()` Stop the persistence server.
`Collection` | `supportedOptions()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PersistenceManagerFactoryImpl

    public PersistenceManagerFactoryImpl()

  Default constructor required for TCK.

### PersistenceManagerFactoryImpl

    public PersistenceManagerFactoryImpl(BrokerFactory factory)

  Constructor; supply delegate.

Method Detail

### getPersistenceManagerFactory

    public static PersistenceManagerFactory getPersistenceManagerFactory(Map map)

  Used by `JDOHelper`.

### getDelegate

    public BrokerFactory getDelegate()

  Delegate.

### getConfiguration

    public OpenJPAConfiguration getConfiguration()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return the configuration for this factory.

  Specified by:
    `getConfiguration` in interface `KodoPersistenceManagerFactory`

### getProperties

    public Properties getProperties()

  Specified by:
    `getProperties` in interface `PersistenceManagerFactory`

### putUserObject

    public Object putUserObject(Object key,
                                Object val)

  Description copied from interface: `KodoPersistenceManagerFactory`
  User object association.

  Specified by:
    `putUserObject` in interface `KodoPersistenceManagerFactory`

### getUserObject

    public Object getUserObject(Object key)

  Description copied from interface: `KodoPersistenceManagerFactory`
  User object association.

  Specified by:
    `getUserObject` in interface `KodoPersistenceManagerFactory`

### getDataStoreCache

    public DataStoreCache getDataStoreCache()

  Specified by:
    `getDataStoreCache` in interface `PersistenceManagerFactory`

### getDataStoreCache

    public KodoDataStoreCache getDataStoreCache(String cacheName)

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return a JDO facade to the given named Kodo cache. This is more efficient than interacting with the standard cache facade, which must delegate to all named caches.

  Specified by:
    `getDataStoreCache` in interface `KodoPersistenceManagerFactory`

### getQueryResultCache

    public QueryResultCache getQueryResultCache()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return a view of the query result cache.

  Specified by:
    `getQueryResultCache` in interface `KodoPersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager()

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public PersistenceManager getPersistenceManager(String user,
                                                    String pass)

  Specified by:
    `getPersistenceManager` in interface `PersistenceManagerFactory`

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager(boolean managed,
                                                        int connRetainMode)

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return a persistence manager in the given transaction and connection retain mode.

  Specified by:
    `getPersistenceManager` in interface `KodoPersistenceManagerFactory`
  See Also:
    `ConnectionRetainModes`

### getPersistenceManager

    public KodoPersistenceManager getPersistenceManager(String user,
                                                        String pass,
                                                        boolean managed,
                                                        int connRetainMode)

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return a persistence manager in the given transaction and connection retain mode.

  Specified by:
    `getPersistenceManager` in interface `KodoPersistenceManagerFactory`
  See Also:
    `ConnectionRetainModes`

### startPersistenceServer

    public boolean startPersistenceServer()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Start the persistence server. This typically happens automatically when a factory with a configured server is obtained.

  Specified by:
    `startPersistenceServer` in interface `KodoPersistenceManagerFactory`
  Returns:
    false if there is no server configured, true otherwise

### joinPersistenceServer

    public boolean joinPersistenceServer()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Join the thread running the persistence server for this factory.

  Specified by:
    `joinPersistenceServer` in interface `KodoPersistenceManagerFactory`
  Returns:
    false if no server is running, true otherwise

### stopPersistenceServer

    public boolean stopPersistenceServer()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Stop the persistence server.

  Specified by:
    `stopPersistenceServer` in interface `KodoPersistenceManagerFactory`
  Returns:
    false if the server was not running, true otherwise

### isPersistenceServerRunning

    public boolean isPersistenceServerRunning()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Return true if a persistence server is running.

  Specified by:
    `isPersistenceServerRunning` in interface `KodoPersistenceManagerFactory`

### addInstanceLifecycleListener

    public void addInstanceLifecycleListener(InstanceLifecycleListener listener,
                                             Class[] classes)

  Specified by:
    `addInstanceLifecycleListener` in interface `PersistenceManagerFactory`

### removeInstanceLifecycleListener

    public void removeInstanceLifecycleListener(InstanceLifecycleListener listener)

  Specified by:
    `removeInstanceLifecycleListener` in interface `PersistenceManagerFactory`

### addTransferListener

    public void addTransferListener(RemoteTransferListener listener)

  Description copied from interface: `KodoPersistenceManagerFactory`
  This method only available on client factories. Register a listener that will be called as the PM uploads objects to the server during flush operations and when objects are downloaded from the server as part of queries or loads.

  Specified by:
    `addTransferListener` in interface `KodoPersistenceManagerFactory`

### removeTransferListener

    public void removeTransferListener(RemoteTransferListener listener)

  Description copied from interface: `KodoPersistenceManagerFactory`
  This method only available on client factories. Deregisters a previously registered listener.

  Specified by:
    `removeTransferListener` in interface `KodoPersistenceManagerFactory`

### close

    public void close()

  Specified by:
    `close` in interface `PersistenceManagerFactory`
  Specified by:
    `close` in interface `Closeable`

### isClosed

    public boolean isClosed()

  Specified by:
    `isClosed` in interface `PersistenceManagerFactory`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

### supportedOptions

    public Collection supportedOptions()

  Specified by:
    `supportedOptions` in interface `PersistenceManagerFactory`

### getConnectionUserName

    public String getConnectionUserName()

  Specified by:
    `getConnectionUserName` in interface `PersistenceManagerFactory`

### setConnectionUserName

    public void setConnectionUserName(String val)

  Specified by:
    `setConnectionUserName` in interface `PersistenceManagerFactory`

### getConnectionPassword

    public String getConnectionPassword()

  Description copied from interface: `KodoPersistenceManagerFactory`
  Credentials.

  Specified by:
    `getConnectionPassword` in interface `KodoPersistenceManagerFactory`

### setConnectionPassword

    public void setConnectionPassword(String val)

  Specified by:
    `setConnectionPassword` in interface `PersistenceManagerFactory`

### getConnectionURL

    public String getConnectionURL()

  Specified by:
    `getConnectionURL` in interface `PersistenceManagerFactory`

### setConnectionURL

    public void setConnectionURL(String val)

  Specified by:
    `setConnectionURL` in interface `PersistenceManagerFactory`

### getConnectionDriverName

    public String getConnectionDriverName()

  Specified by:
    `getConnectionDriverName` in interface `PersistenceManagerFactory`

### setConnectionDriverName

    public void setConnectionDriverName(String val)

  Specified by:
    `setConnectionDriverName` in interface `PersistenceManagerFactory`

### getConnectionFactoryName

    public String getConnectionFactoryName()

  Specified by:
    `getConnectionFactoryName` in interface `PersistenceManagerFactory`

### setConnectionFactoryName

    public void setConnectionFactoryName(String val)

  Specified by:
    `setConnectionFactoryName` in interface `PersistenceManagerFactory`

### getConnectionFactory

    public Object getConnectionFactory()

  Specified by:
    `getConnectionFactory` in interface `PersistenceManagerFactory`

### setConnectionFactory

    public void setConnectionFactory(Object val)

  Specified by:
    `setConnectionFactory` in interface `PersistenceManagerFactory`

### getConnectionFactory2Name

    public String getConnectionFactory2Name()

  Specified by:
    `getConnectionFactory2Name` in interface `PersistenceManagerFactory`

### setConnectionFactory2Name

    public void setConnectionFactory2Name(String val)

  Specified by:
    `setConnectionFactory2Name` in interface `PersistenceManagerFactory`

### getConnectionFactory2

    public Object getConnectionFactory2()

  Specified by:
    `getConnectionFactory2` in interface `PersistenceManagerFactory`

### setConnectionFactory2

    public void setConnectionFactory2(Object val)

  Specified by:
    `setConnectionFactory2` in interface `PersistenceManagerFactory`

### getOptimistic

    public boolean getOptimistic()

  Specified by:
    `getOptimistic` in interface `PersistenceManagerFactory`

### setOptimistic

    public void setOptimistic(boolean val)

  Specified by:
    `setOptimistic` in interface `PersistenceManagerFactory`

### getRetainValues

    public boolean getRetainValues()

  Specified by:
    `getRetainValues` in interface `PersistenceManagerFactory`

### setRetainValues

    public void setRetainValues(boolean val)

  Specified by:
    `setRetainValues` in interface `PersistenceManagerFactory`

### getRestoreValues

    public boolean getRestoreValues()

  Specified by:
    `getRestoreValues` in interface `PersistenceManagerFactory`

### setRestoreValues

    public void setRestoreValues(boolean val)

  Specified by:
    `setRestoreValues` in interface `PersistenceManagerFactory`

### getNontransactionalRead

    public boolean getNontransactionalRead()

  Specified by:
    `getNontransactionalRead` in interface `PersistenceManagerFactory`

### setNontransactionalRead

    public void setNontransactionalRead(boolean val)

  Specified by:
    `setNontransactionalRead` in interface `PersistenceManagerFactory`

### getNontransactionalWrite

    public boolean getNontransactionalWrite()

  Specified by:
    `getNontransactionalWrite` in interface `PersistenceManagerFactory`

### setNontransactionalWrite

    public void setNontransactionalWrite(boolean val)

  Specified by:
    `setNontransactionalWrite` in interface `PersistenceManagerFactory`

### getIgnoreCache

    public boolean getIgnoreCache()

  Specified by:
    `getIgnoreCache` in interface `PersistenceManagerFactory`

### setIgnoreCache

    public void setIgnoreCache(boolean val)

  Specified by:
    `setIgnoreCache` in interface `PersistenceManagerFactory`

### getMultithreaded

    public boolean getMultithreaded()

  Specified by:
    `getMultithreaded` in interface `PersistenceManagerFactory`

### setMultithreaded

    public void setMultithreaded(boolean val)

  Specified by:
    `setMultithreaded` in interface `PersistenceManagerFactory`

### getMapping

    public String getMapping()

  Specified by:
    `getMapping` in interface `PersistenceManagerFactory`

### setMapping

    public void setMapping(String mapping)

  Specified by:
    `setMapping` in interface `PersistenceManagerFactory`

### getDetachAllOnCommit

    public boolean getDetachAllOnCommit()

  Specified by:
    `getDetachAllOnCommit` in interface `PersistenceManagerFactory`

### setDetachAllOnCommit

    public void setDetachAllOnCommit(boolean val)

  Specified by:
    `setDetachAllOnCommit` in interface `PersistenceManagerFactory`

### getReference

    public Reference getReference()

  Specified by:
    `getReference` in interface `Referenceable`

### getObjectInstance

    public Object getObjectInstance(Object obj,
                                    Name name,
                                    Context ctx,
                                    Hashtable env)
                             throws Exception

  Specified by:
    `getObjectInstance` in interface `ObjectFactory`
  Throws:
    `Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.4 generated on June 22 2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.